Foros del Web » Administración de Sistemas » Unix / Linux »

¿Como es posible esto?

Estas en el tema de ¿Como es posible esto? en el foro de Unix / Linux en Foros del Web. Código: [[email protected] ~]# yum reinstall openssh Loaded plugins: fastestmirror Setting up Reinstall Process Loading mirror speeds from cached hostfile * atomic: www7.atomicorp.com Excluding Packages from ...
  #1 (permalink)  
Antiguo 01/12/2011, 05:19
 
Fecha de Ingreso: marzo-2008
Mensajes: 228
Antigüedad: 13 años
Puntos: 12
¿Como es posible esto?

Código:
[[email protected] ~]# yum reinstall openssh
Loaded plugins: fastestmirror
Setting up Reinstall Process
Loading mirror speeds from cached hostfile
 * atomic: www7.atomicorp.com
Excluding Packages from Plesk Server Administrator
Finished
Installed package openssh-5.8p2-16.el5.1.x86_64 not available.
Nothing to do
[[email protected] ~]# ls
ca.crt  ca.key  ca.srl  created  openssh-5.8p2-16.el5.1.x86_64.rpm  parallels
[[email protected] ~]# rpm -i openssh-5.8p2-16.el5.1.x86_64.rpm
        package openssh-5.8p2-16.el5.1.x86_64 is already installed 
¿esta instalado o no el package?

Nesito desinstalarlo y volver a instalarlo pero es que al desinstalarlo se me desinstala tambien el panel Plesk Small Bussines (forma parte de sus Dependencias)

¿Que hago?

Gracias!
  #2 (permalink)  
Antiguo 01/12/2011, 09:44
 
Fecha de Ingreso: marzo-2008
Mensajes: 228
Antigüedad: 13 años
Puntos: 12
Respuesta: ¿Como es posible esto?

¿nadie sabe nada?
  #3 (permalink)  
Antiguo 01/12/2011, 13:38
Avatar de ociomax
Colaborador
 
Fecha de Ingreso: mayo-2002
Ubicación: Temuco, Chile
Mensajes: 5.595
Antigüedad: 18 años, 9 meses
Puntos: 35
Respuesta: ¿Como es posible esto?

El paquete está instalado, pero yum no puede reinstalarlo debido a que esa versión ya no se encuentra en sus repositorios (seguramente hay una versión más nueva). Tienes que desinstalarlo sin control de dependencias (--nodeps) y luego instalar con yum. Algo así:
Código:
rpm -e --nodeps openssh
yum install openssh
A propósito, ¿por qué quieres reinstalar ese paquete? Ten en cuenta que si administrars tu servidor de forma remota, corres el riesgo de quedarte sin acceso.
__________________
Christian González, "OCIOMax"
http://chgonzalez.blogspot.com
http://twitter.com/chgonzalez
  #4 (permalink)  
Antiguo 02/12/2011, 02:38
 
Fecha de Ingreso: marzo-2008
Mensajes: 228
Antigüedad: 13 años
Puntos: 12
Respuesta: ¿Como es posible esto?

la version que hay en el repositorio es mas vieja
es la 4.3

¿Como puedo camviarla por esa que es 5.8?
Para que cuando lo instale con "yum" se instale directamente la version 5.8.

Osea, ¿como reemplazar el openssh 4.3 del repositorio por el 5.8?

gracias!

Etiquetas: posible, server
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 07:11.